Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.message
Class BasicMessageComposer<T>

    java.lang.Object
      org.jboss.soa.esb.listeners.message.AbstractMessageComposer<T>
          org.jboss.soa.esb.listeners.message.BasicMessageComposer<T>

All Implemented Interfaces:
  MessageComposer<T>

    public class BasicMessageComposer<T>

extends AbstractMessageComposer<T>

Basic Message Composer.

Sets and gets the ESB unaware payload on the message using `ActionUtils`.

Author:
  tom.fennelly@jboss.com

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.soa.esb.listeners.message.MessageComposer
`MessageComposer.Factory`

Constructor Summary
`BasicMessageComposer()`

Method Summary
`protected void` | `populateMessage(Message message, T messagePayload)` Populate

Methods inherited from class org.jboss.soa.esb.listeners.message.AbstractMessageComposer
`compose, decompose, getConfiguration, getPayloadProxy, setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicMessageComposer

    public BasicMessageComposer()

Method Detail

### populateMessage

    protected void populateMessage(Message message,
                                   T messagePayload)
                            throws MessageDeliverException

  Description copied from class: `AbstractMessageComposer`
  Populate

  Specified by:
    `populateMessage` in class `AbstractMessageComposer<T>`
  Parameters:
    `message` - The message instance to be populated.
    `messagePayload` - The message payload to to be populated into the message.
  Throws:
    `MessageDeliverException` - Unable to populate message with payload.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD